<script>
	import config from './config'
	import store from '@/store'
	import {
		getToken
	} from '@/utils/auth'
	import {
		initEid
	} from './mp_ecard_sdk/main';
	export default {
		globalData: {
			// requestUrl: 'https://api.xayunmei.com/zhongcaiapi',
			requestUrl: 'http://121.40.189.20:9001',
		},
		onLaunch: function() {
			this.initApp();
			initEid();
			uni.setStorageSync('certificationStatus', '未认证')
		},
		methods: {
			// 初始化应用
			initApp() {
				// 初始化应用配置
				this.initConfig()
				// 检查用户登录状态
				//#ifdef H5
				this.checkLogin()
				//#endif
			},
			initConfig() {
				this.globalData.config = config
			},
			checkLogin() {
				if (!getToken()) {
					this.$tab.reLaunch('/pages/switchSystem')
				}
			}
		}
	}
</script>

<style lang="scss">
	@import '@/static/scss/index.scss'
</style>